package com.data.emqx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.data.emqx.domain.LoadCarDataSoure;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * @author licd
 * @interfaceName ILoadCarDataSoureMapper
 * @description
 * @date 2025/02/17 08:47
 **/
@Mapper
public interface LoadCarDataSoureMapper extends BaseMapper<LoadCarDataSoure> {
    void addLoadCarDataSourceMapper(LoadCarDataSoure loadCarDataSoure);

    void addUnLoadCarDataSourceMapper(LoadCarDataSoure loadCarDataSoure);

    void addDeviceCard(LoadCarDataSoure loadCarDataSoure);

    void addEmqx_error(@Param("json") String json,@Param("sendTime")  String sendTime,@Param("createTime")  Date createTime);
}
